Skip to content

CreateGroupOwner

POST/api/v1/groups/{group}/owners

Add an owner to a group. Owners manage the group and approve access to it.

Example request

curl -X POST \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
-H "Content-Type: application/json" \
-d '{ "owner": "string" }' \
"https://us.oblique.security/api/v1/groups/{group}/owners"

Set OBLIQUE_API_KEY to your API key.

Path parameters

  • parentstringrequired

Query parameters

  • groupOwnerIdstring

Request body

  • namestring

    Assigned by Oblique.

  • ownerstringrequired

    The owner of the group.

  • updateTimestring (date-time)read-only

    The time when this object was last updated.

  • createTimestring (date-time)read-only

    The time when this object was created.

  • managementManagement

    How this ownership is managed. Inherited from the parent group: owners of Terraform-managed groups are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent group to change this. Omitted from responses when the parent group is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

Response

200GroupOwner
  • namestring

    Assigned by Oblique.

  • ownerstringrequired

    The owner of the group.

  • updateTimestring (date-time)read-only

    The time when this object was last updated.

  • createTimestring (date-time)read-only

    The time when this object was created.

  • managementManagement

    How this ownership is managed. Inherited from the parent group: owners of Terraform-managed groups are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent group to change this. Omitted from responses when the parent group is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error